/// <reference types="react" />
export declare type PaywallProps = {
    accessPaymentsKeys: {
        checkoutPayKey: string;
        braintreeAuthorization?: string;
        stripePromise?: any;
    };
    stripeProp: {
        price: number;
        currency: string;
    };
    countryCode: string;
    onSubmit: any;
    isApplePayActive: boolean;
    isGooglePayActive: boolean;
    isPaypalActive: boolean;
};
export declare const Paywall: ({ accessPaymentsKeys, countryCode, onSubmit, stripeProp, isApplePayActive, isGooglePayActive, isPaypalActive }: PaywallProps) => JSX.Element;
